///Title:	Basistemplate Leonardo mit Keyboard und LCD Display
///Author: 	Kner
///Date:	1.1.2010
///Comment:	http://www.dfrobot.com/wiki/index.php/Arduino_LCD_KeyPad_Shield_%28SKU:_DFR0009%29
#include <Arduino.h>
#include <LiquidCrystal.h>
 LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
 // define some values used by the panel and buttons
int lcd_key     = 0;
int adc_key_in  = 0;
#define btnRIGHT  0
#define btnUP     1
#define btnDOWN   2
#define btnLEFT   3
#define btnSELECT 4
#define btnNONE   5


int read_LCD_buttons(int* adc_key_in)
{
 *adc_key_in = analogRead(0);      // return the value from the sensor 
 if (*adc_key_in > 1000) return btnNONE; 
 if (*adc_key_in < 50)   return btnRIGHT;  
 if (*adc_key_in < 250)  return btnUP; 
 if (*adc_key_in < 450)  return btnDOWN; 
 if (*adc_key_in < 650)  return btnLEFT; 
 if (*adc_key_in < 850)  return btnSELECT;  
 return btnNONE; 
}

 void setup()
 {
	 lcd.begin(16, 2);
	 lcd.clear();
	 lcd.setCursor(0, 0);
	 lcd.print("Display and Key tests ");
	 delay(2500);
 }

 void loop()
 {   int analogValue=0; 
	 int key; 
	 key = read_LCD_buttons(&analogValue); 
	 lcd.setCursor(0,1);  
	 lcd.print("     ");  //clear the old value before writing the new one 
	 lcd.setCursor(0,1);
	 lcd.print(analogValue); 
	 
	 lcd.setCursor(8,1);  
	  switch (key)              
	  {
		  case btnRIGHT:
		  {
			  lcd.print("RIGHT ");
			  break;
		  }
		  case btnLEFT:
		  {
			  lcd.print("LEFT   ");
			  break;
		  }
		  case btnUP:
		  {
			  lcd.print("UP    ");
			  break;
		  }
		  case btnDOWN:
		  {
			  lcd.print("DOWN  ");
			  break;
		  }
		  case btnSELECT:
		  {
			  lcd.print("SELECT");
			  break;
		  }
		  case btnNONE:
		  {
			  lcd.print("NONE  ");
			  break;
		  }
	  }
	 
 }